csDirtyAccessArrayRefCounted< T, ElementHandler, MemoryAllocator, CapacityHandler > Class Template Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
csDirtyAccessArrayRefCounted< T, ElementHandler, MemoryAllocator, CapacityHandler > Class Template Reference

A variant of csDirtyAccessArray with reference-counted contents. More...

`#include <csutil/dirtyaccessarray.h>`

Inheritance diagram for csDirtyAccessArrayRefCounted< T, ElementHandler, MemoryAllocator, CapacityHandler >:

List of all members.

## Public Member Functions
void | DecRef ()
| Reference counting. Delete array contents when reference reaches 0.
void | IncRef ()
| Reference counting.

## Detailed Description

### template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = CS::Container::ArrayAllocDefault, class CapacityHandler = CS::Container::ArrayCapacityDefault>
class csDirtyAccessArrayRefCounted< T, ElementHandler, MemoryAllocator, CapacityHandler >

A variant of csDirtyAccessArray with reference-counted contents.

That is, when the reference count of the array drops to 0, it's contents are deleted (however, not the array object itself).

Definition at line 123 of file dirtyaccessarray.h.

## Member Function Documentation

template<class T , class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = CS::Container::ArrayAllocDefault, class CapacityHandler = CS::Container::ArrayCapacityDefault>

void csDirtyAccessArrayRefCounted< T, ElementHandler, MemoryAllocator, CapacityHandler >::DecRef | ( |  | ) | `[inline]`

Reference counting. Delete array contents when reference reaches 0.

Definition at line 140 of file dirtyaccessarray.h.

template<class T , class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = CS::Container::ArrayAllocDefault, class CapacityHandler = CS::Container::ArrayCapacityDefault>

void csDirtyAccessArrayRefCounted< T, ElementHandler, MemoryAllocator, CapacityHandler >::IncRef | ( |  | ) | `[inline]`

Reference counting.

Definition at line 137 of file dirtyaccessarray.h.

The documentation for this class was generated from the following file:

- csutil/dirtyaccessarray.h